Subject: Re: [PATCH 09/28] Remove ATHEROS_AR231X

From: "John W. Linville" <[email-masked]>
Date: Tue, 16 Sep 2014 16:33:01 -0400

On Tue, Sep 16, 2014 at 10:26:59PM +0200, Paul Bolle wrote:
> On Mon, 2014-09-15 at 14:45 -0400, John W. Linville wrote:
> > FYI -- Sergey posted a series to linux-mips on 14 September 2014 that
> > touches the symbol in question.  For whatever reason, it is posted
> > there as RFC.
> 
> Thanks for passing that on.
> 
> > Does this satisfy the interested parties??
> 
> In case I qualify as an interested party: resolving this by, in short,
> making AHB support actually buildable is of course the preferable
> solution. 
> 
> Whether or not we should drop my patch while waiting for that series to
> land in linux-next is not my call. But if it hasn't landed by, say,
> about the time v3.18-rc3 is released I might raise this issue again.
> 
> I must say that I'm a bit puzzled why people have resisted this rather
> small cleanup for years. How did having unbuildable AHB support in
> mainline benefit anyone? Couldn't the revert of this cleanup also be
> handled out of tree? Note that the revert is only "6 files changed, 3
> insertions(+), 294 deletions(-)", while the series is "39 files changed,
> 3911 insertions(+), 10 deletions(-)".

I think it got added with the notion that the code was "coming soon".
As you have tried to remove it, the "coming soon" refrain continued.

I'm still inclined to merge your patch.  An RFC series posted to
another mailing list doesn't really change my mind.

John
-- 
John W. Linville		Someday the world will need a hero, and you
[email-masked]			might be all we have.  Be ready.